<script setup lang="ts">
import { useAuthStore } from '@/stores/auth';
import type { User } from '@/types/User';
import { inject, type Ref } from 'vue';



const drawer = inject<Ref<boolean>>('drawer')
const rail = inject<Ref<boolean>>('rail')
const currentUser = inject<Ref<User>>('currentUser')
const authStore = useAuthStore()
</script>

<template>
    <v-navigation-drawer v-model="drawer" :rail="rail" permanent @click="rail = false" style="font-family: 'Kanit';">
        <v-list-item
          prepend-avatar="https://i.pinimg.com/564x/d6/19/d5/d619d5d4aaae538d1198a973239fb3ca.jpg"
          :title="authStore.currentUser.fullName"
          nav
        >
          <template v-slot:append>
            <v-btn variant="text" icon="mdi-chevron-left" @click.stop="rail = !rail"></v-btn>
            </template>
        </v-list-item>

        <v-divider></v-divider>

        <v-list density="compact" nav style="font-family: 'Kanit';">
          
          <v-list-item prepend-icon="mdi-star" title="POS" value="pos" :to="{ name: 'pos'}"></v-list-item>
          <v-list-item prepend-icon="mdi-account-supervisor" title="Member" value="member" :to="{ name: 'member'}"></v-list-item>
          <v-list-item prepend-icon="mdi-account-tie" title="User" value="users" :to="{ name: 'users'}"></v-list-item>
          <v-list-item prepend-icon="mdi-calendar-clock" title="CheckIn-Out" value="checkinout" :to="{ name: 'checkinout'}"></v-list-item>
          <v-list-item prepend-icon="mdi-currency-usd" title="Salary" value="salary" :to="{ name: 'salary'}"></v-list-item>    
          <v-list-item prepend-icon="mdi-home-city" title="Stock" value="stock" :to="{name:'stock'}"></v-list-item>
          
          
        </v-list>
      </v-navigation-drawer>
</template>
